mysqld.sock ist nicht vorhanden

MySQL, PostgreSQL, SQLite
andy25
Posts: 33
Joined: 2005-03-17 12:45

mysqld.sock ist nicht vorhanden

Post by andy25 » 2005-08-24 16:35

Hallo,

Ich habe einen Rootserver mit Debian Sarge.

Ich habe per apt-get install mysql-server mysql-client mysql Installiert.

Ich erhalte beim aufruf der /etc/init.d/mysql start folgende Meldung:

Code: Select all

Starting MySQL database server: mysqld...failed.
        Please take a look at the syslog.
/usr/bin/mysqladmin: connect to server at 'localhost' failed
error: 'Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)'
Check that mysqld is running and that the socket: '/var/run/mysqld/mysqld.sock' exists!
Das Socket mysqld.sock existiert nicht in /var/run/mysqld/. Ich habe auch schon apt-get remove mit einem anschliessenden apt-get install gemacht.

Kann mir jemand sagen wie ich mysql zum laufen bekomme?

hier die syslog:



Gruß

Andy

Code: Select all

Aug 24 16:30:17  mysqld_safe[17553]: started
Aug 24 16:30:17  mysqld[17557]: 050824 16:30:17  InnoDB: Started
Aug 24 16:30:17  mysqld[17557]: 050824 16:30:17 /usr/sbin/mysqld: Can't open file: 'host.MYI'. (errno: 142)
Aug 24 16:30:17  mysqld[17557]: 050824 16:30:17 Fatal error: Can't open privilege tables: File '/usr/share/mysql
/charsets/?.conf' not found (Errcode: 2)
Aug 24 16:30:17  mysqld[17557]: 050824 16:30:17 Aborting
Aug 24 16:30:17  mysqld[17557]:
Aug 24 16:30:17  mysqld[17557]: 050824 16:30:17  InnoDB: Starting shutdown...
Aug 24 16:30:19  mysqld[17557]: 050824 16:30:19  InnoDB: Shutdown completed
Aug 24 16:30:19  mysqld[17557]: 050824 16:30:19 /usr/sbin/mysqld: Shutdown Complete
Aug 24 16:30:19  mysqld[17557]:
Aug 24 16:30:19  mysqld_safe[17585]: ended
Aug 24 16:30:23  /etc/init.d/mysql[17630]: 0 processes alive and '/usr/bin/mysqladmin --defaults-file=/etc/mysql
/debian.cnf ping' resulted in
Aug 24 16:30:23  /etc/init.d/mysql[17630]: ^G/usr/bin/mysqladmin: connect to server at 'localhost' failed
Aug 24 16:30:23  /etc/init.d/mysql[17630]: error: 'Can't connect to local MySQL server through socket '/var/run/
mysqld/mysqld.sock' (2)'
Aug 24 16:30:23  /etc/init.d/mysql[17630]: Check that mysqld is running and that the socket: '/var/run/mysqld/my
sqld.sock' exists!
Aug 24 16:30:23  /etc/init.d/mysql[17630]:

User avatar
Joe User
Project Manager
Project Manager
Posts: 11139
Joined: 2003-02-27 01:00
Location: Hamburg

Re: mysqld.sock ist nicht vorhanden

Post by Joe User » 2005-08-24 16:45

Code: Select all

Fatal error: Can't open privilege tables: File '/usr/share/mysql/charsets/?.conf' not found (Errcode: 2)
Deutlicher geht es doch gar nicht. Wenn Du damit nichts anfangen kannst, solltest Du wohl doch die Dokumentation lesen...
PayPal.Me/JoeUserFreeBSD Remote Installation
Wings for LifeWings for Life World Run

„If there’s more than one possible outcome of a job or task, and one
of those outcomes will result in disaster or an undesirable consequence,
then somebody will do it that way.“ -- Edward Aloysius Murphy Jr.

andy25
Posts: 33
Joined: 2005-03-17 12:45

Re: mysqld.sock ist nicht vorhanden

Post by andy25 » 2005-08-24 16:48

Hallo,

ja ich habe es gesehen, aber was ist die ?.conf ?

Gruß

andy

captaincrunch
Userprojekt
Userprojekt
Posts: 7066
Joined: 2002-10-09 14:30
Location: Dorsten

Re: mysqld.sock ist nicht vorhanden

Post by captaincrunch » 2005-08-24 16:50

Diese Frage können dir wohl nur deine eignen Configfiles beantworten...
DebianHowTo
echo "[q]sa[ln0=aln256%Pln256/snlbx]sb729901041524823122snlbxq"|dc

andy25
Posts: 33
Joined: 2005-03-17 12:45

Re: mysqld.sock ist nicht vorhanden

Post by andy25 » 2005-08-24 16:56

Hallo,

Ich finde die Lösung einfach nicht. Hier mal meine my.cnf:

Code: Select all

#
# The MySQL database server configuration file.
#
# You can copy this to one of:
# - "/etc/mysql/my.cnf" to set global options,
# - "/var/lib/mysql/my.cnf" to set server-specific options or
# - "~/.my.cnf" to set user-specific options.
#
# One can use all long options that the program supports.
# Run program with --help to get a list of available options and with
# --print-defaults to see which it would actually understand and use.
#
# For explanations see
# http://dev.mysql.com/doc/mysql/en/server-system-variables.html

# This will be passed to all mysql clients
# It has been reported that passwords should be enclosed with ticks/quotes
# escpecially if they contain "#" chars...
# Remember to edit /etc/mysql/debian.cnf when changing the socket location.
[client]
port            = 3306
socket          = /var/run/mysqld/mysql.sock

# Here is entries for some specific programs
# The following values assume you have at least 32M ram

# This was formally known as [safe_mysqld]. Both versions are currently parsed.
[mysqld_safe]
socket          = /var/run/mysqld/mysql.sock
nice            = 0

[mysqld]
#
# * Basic Settings
#
user            = mysql
pid-file        = /var/run/mysqld/mysqld.pid
socket          = /var/run/mysqld/mysql.sock
port            = 3306
basedir         = /usr
datadir         = /var/lib/mysql
tmpdir          = /tmp
language        = /usr/share/mysql/english
/etc/mysql/my.cnf: unmodified: line 1
skip-external-locking
#
# Instead of skip-networking the default is now to listen only on
# localhost which is more compatible and is not less secure.
bind-address            = 127.0.0.1
#
# * Fine Tuning
#
key_buffer              = 16M
max_allowed_packet      = 16M
thread_stack            = 128K
#
# * Query Cache Configuration
#
query_cache_limit       = 1048576
query_cache_size        = 16777216
query_cache_type        = 1
#
# * Logging and Replication
#
# Both location gets rotated by the cronjob.
# Be aware that this log type is a performance killer.
#log            = /var/log/mysql.log
#log            = /var/log/mysql/mysql.log
#
# Error logging goes to syslog. This is a Debian improvement :)
#
# Here you can see queries with especially long duration
#log-slow-queries       = /var/log/mysql/mysql-slow.log
#
# The following can be used as easy to replay backup logs or for replication.
#server-id              = 1
log-bin                 = /var/log/mysql/mysql-bin.log
# See /etc/mysql/debian-log-rotate.conf for the number of files kept.
max_binlog_size         = 104857600
#binlog-do-db           = include_database_name
#binlog-ignore-db       = include_database_name
#
# * BerkeleyDB
#
# The use of BerkeleyDB is now discouraged and support for it will probably
# cease in the next versions.
skip-bdb
#
# * InnoDB
#
# InnoDB is enabled by default with a 10MB datafile in /var/lib/mysql/.
# Read the manual for more InnoDB related options. There are many!
#
# * Security Feature
#
# Read the manual, too, if you want chroot!
# chroot = /var/lib/mysql/
#
# If you want to enable SSL support (recommended) read the manual or my
# HOWTO in /usr/share/doc/mysql-server/SSL-MINI-HOWTO.txt.gz
# ssl-ca=/etc/mysql/cacert.pem
# ssl-cert=/etc/mysql/server-cert.pem
# ssl-key=/etc/mysql/server-key.pem



[mysqldump]
quick
quote-names
max_allowed_packet      = 16M

[mysql]
#no-auto-rehash # faster start of mysql but no tab completition

[isamchk]
key_buffer              = 16M
Gruß

Andy

User avatar
Joe User
Project Manager
Project Manager
Posts: 11139
Joined: 2003-02-27 01:00
Location: Hamburg

Re: mysqld.sock ist nicht vorhanden

Post by Joe User » 2005-08-24 17:16

War das die vollständige my.cnf? Wer hat den Müll verbrochen?
PayPal.Me/JoeUserFreeBSD Remote Installation
Wings for LifeWings for Life World Run

„If there’s more than one possible outcome of a job or task, and one
of those outcomes will result in disaster or an undesirable consequence,
then somebody will do it that way.“ -- Edward Aloysius Murphy Jr.

andy25
Posts: 33
Joined: 2005-03-17 12:45

Re: mysqld.sock ist nicht vorhanden

Post by andy25 » 2005-08-24 17:24

Hallo,

das hat apt-get verbrochen

User avatar
Joe User
Project Manager
Project Manager
Posts: 11139
Joined: 2003-02-27 01:00
Location: Hamburg

Re: mysqld.sock ist nicht vorhanden

Post by Joe User » 2005-08-24 17:37

OK, bevor ich das breite Grinsen aufsetze: Deine sources.list und das MySQL-Initscript bitte. Danach können wir mit dem Aufräumen beginnen...
PayPal.Me/JoeUserFreeBSD Remote Installation
Wings for LifeWings for Life World Run

„If there’s more than one possible outcome of a job or task, and one
of those outcomes will result in disaster or an undesirable consequence,
then somebody will do it that way.“ -- Edward Aloysius Murphy Jr.

andy25
Posts: 33
Joined: 2005-03-17 12:45

Re: mysqld.sock ist nicht vorhanden

Post by andy25 » 2005-08-24 17:47

Hallo,

vielen dank!!!!

sources.list

Code: Select all

deb ftp://debian.uni-essen.de/debian/ stable main
deb-src ftp://debian.uni-essen.de/debian/ stable main

deb ftp://ftp.uni-koeln.de/debian/ stable main
deb-src ftp://ftp.uni-koeln.de/debian/ stable main

deb ftp://ftp.de.debian.org/debian/ stable main
deb-src ftp://ftp.de.debian.org/debian/ stable main

deb http://security.debian.org/ stable/updates main
INIT-Script:

Code: Select all

#!/bin/bash
#
# MySQL daemon start/stop script.
#
# Debian version. Based on the original by TcX.
#
set -e
set -u
${DEBIAN_SCRIPT_DEBUG:+ set -v -x}

test -x /usr/sbin/mysqld || exit 0

SELF=$(cd $(dirname $0); pwd -P)/$(basename $0)
CONF=/etc/mysql/my.cnf
MYADMIN="/usr/bin/mysqladmin --defaults-file=/etc/mysql/debian.cnf"
RUNDIR=/var/run/mysqld/

# priority can be overriden and "-s" adds output to stderr
ERR_LOGGER="logger -p daemon.err -t /etc/init.d/mysql -i -s"

# Safeguard (relative paths, core dumps..)
cd /
umask 077
export PATH=/bin:/usr/bin

# mysqladmin likes to read /root/.my.cnf. This is usually not what I want
# as many admins e.g. only store a password without a username there and
# so break my scripts.
export HOME=/etc/mysql/

## fetch a particular option from mysql's invocation
#
# usage: void mysqld_get_param option
mysqld_get_param() {
        /usr/sbin/mysqld --print-defaults 
                | tr " " "n" 
                | grep -- "--$1" 
                | tail -n 1 
                | cut -d= -f2
}

## Checks if there is a server running and if so if it is accessible.
#
# check_alive insists on a pingable server
# check_dead also fails if there is a lost mysqld in the process list
#
# Usage: boolean mysqld_status [check_alive|check_dead] [warn|nowarn]
mysqld_status () {
    ping_output=`$MYADMIN ping 2>&1`; ping_alive=$(( ! $? ))

    ps_alive=0
    pidfile=`mysqld_get_param pid-file`
    if [ -f "$pidfile" ]; then
        if ps `cat $pidfile` >/dev/null 2>&1; then ps_alive=1; fi
    fi

    if [ "$1" = "check_alive"  -a  $ping_alive = 1 ] ||
       [ "$1" = "check_dead"   -a  $ping_alive = 0  -a  $ps_alive = 0 ]; then
        return 0 # EXIT_SUCCESS
    else
        if [ "$2" = "warn" ]; then
            /bin/echo -e "$ps_alive processes alive and '$MYADMIN ping' resulted inn$ping_outputn" | $ERR_LOGGER -p daemon.
debug
        fi
        return 1 # EXIT_FAILURE
    fi
}

#
# main()
#

case "${1:-''}" in
  'start')
        # check for config file
        if [ ! -r $CONF ]; then
          /bin/echo -e "nWARNING: $CONF cannot be read. See README.Debian."
        fi
        # check for /var/run/mysqld/ which maybe have only been on a tempfs
        if [ ! -d $RUNDIR ]; then
          install --directory --owner=mysql --mode=755 $RUNDIR
        fi
        # Start daemon
        echo -n "Starting MySQL database server: mysqld"
if mysqld_status check_alive nowarn; then
           echo "...already running."
        else
            /usr/bin/mysqld_safe > /dev/null 2>&1 &
            for i in 1 2 3 4 5 6; do
                sleep 1
                if mysqld_status check_alive nowarn ; then break; fi
            done
            if mysqld_status check_alive warn; then
                echo "."
                # Now start mysqlcheck or whatever the admin wants.
                /etc/mysql/debian-start
            else
                echo "...failed."
                /bin/echo -e "tPlease take a look at the syslog."
            fi
        fi

        if $MYADMIN variables | egrep -q have_bdb.*YES; then
            /bin/echo "BerkeleyDB is obsolete, see /usr/share/doc/mysql-server/README.Debian.gz" | $ERR_LOGGER -p daemon.info
        fi

        ;;

  'stop')
        # * As a passwordless mysqladmin (e.g. via ~/.my.cnf) must be possible
        # at least for cron, we can rely on it here, too. (although we have
        # to specify it explicit as e.g. sudo environments points to the normal
        # users home and not /root)
        echo -n "Stopping MySQL database server: mysqld"
        if ! mysqld_status check_dead nowarn; then
          set +e
          shutdown_out=`$MYADMIN shutdown 2>&1`; r=$?
          set -e
          if [ "$r" -ne 0 ]; then
            /bin/echo -e -n "...failed.n$shutdown_outnKilling MySQL database server by signal: mysqld"
            killall -15 mysqld
            server_down=
            for i in 1 2 3 4 5 6 7 8 9 10; do
              sleep 1
              if mysqld_status check_dead nowarn; then server_down=1; break; fi
 done
          if test -z "$server_down"; then killall -9 mysqld; fi
          fi
        fi

        if ! mysqld_status check_dead warn; then
          echo "...failed."
          echo "Please stop MySQL manually and read /usr/share/doc/mysql-server/README.Debian!"
          exit -1
        else
          echo "."
        fi
        ;;

  'restart')
        set +e; $SELF stop; set -e
        $SELF start
        ;;

  'reload'|'force-reload')
        echo -n "Reloading MySQL database server: mysqld"
        $MYADMIN reload
        echo "."
        ;;

  'status')
        if mysqld_status check_alive nowarn; then
          $MYADMIN version
        else
          echo "MySQL is stopped."
        fi
        ;;

  *)
        echo "Usage: $SELF start|stop|restart|reload|force-reload"
        exit 1
        ;;
esac

stefanpropehan
Posts: 335
Joined: 2002-12-17 22:25
Location: Berlin

Re: mysqld.sock ist nicht vorhanden

Post by stefanpropehan » 2005-08-25 09:24

Code: Select all

...
language        = /usr/share/mysql/english
/etc/mysql/my.cnf: unmodified: line 1 
...
"/etc/mysql/my.cnf: unmodified: line 1" gehört da wohl eher nicht hin! Kommentiere das mal aus, oder besser du löschst es gleich... dann sollte es auch mit dem Nachbarn klappen!

Stefan